#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python2
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python2-lxml
Version		:	4.6.3
Release		:	14.4.0.0%{?dist}
Summary		:	ElementTree-like Python bindings for libxml2 and libxslt
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://files.pythonhosted.org/packages/source/l/lxml/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libxslt
BuildRequires	:	%(basename %{__python})
#-----------------------------------------------------------------------------
%description
'%{name}' provides a Python2 binding to the libxslt and libxml2 libraries.
It follows the ElementTree API as much as possible in order to provide
a more Pythonic interface to libxml2 and libxslt than the default
bindings.  In particular, lxml deals with Python Unicode strings
rather than encoded UTF-8 and handles memory management automatically,
unlike the default bindings.


#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#---------------------------------------------------------
#building application
%build
%{__python}						\
	setup.py					\
	build

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__python}							\
	setup.py						\
	install							\
	-O1							\
	--skip-build						\
	--root %{buildroot}					\

%files			
%defattr(-,root,root,-)
%doc CHANGES.txt LICENSES.txt README.rst
%{python2_sitelib}/%{sname}-%{version}-*.egg-info
%{python2_sitelib}/%{sname}/*.{h,py*,so}
%{python2_sitelib}/%{sname}/html/*.{h,py*,so}
%{python2_sitelib}/%{sname}/includes/*.py*
%{python2_sitelib}/%{sname}/includes/*.pxd
%{python2_sitelib}/%{sname}/includes/*.h
%{python2_sitelib}/%{sname}/isoschematron/*


%changelog
